Draft Polygon: Difference between revisions

From FreeCAD Documentation
(Code with Placement.)
m (Docnav)
(19 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:18-->
{{Docnav|[[Draft_Ellipse|Ellipse]]|[[Draft_Rectangle|Rectangle]]|[[Draft_Module|Draft]]|IconL=Draft_Ellipse.svg |IconC=Workbench_Draft.svg|IconR=Draft_Rectangle.svg }}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Draft Polygon|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Polygon|Shortcut=P G|SeeAlso=[[Draft Circle]]}}
|Name=Draft Polygon
|MenuLocation=Draft → Polygon
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
|Shortcut=P G
|SeeAlso=[[Draft Circle]]
|Version=0.7
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
The Polygon tool creates a regular polygon inscribed in a circumference by picking two points, the center and the radius. It uses the [[Draft Linestyle]] set on the [[Draft Tray]].
The Polygon tool creates a regular polygon inscribed in a circumference by picking two points, the center and the radius. It uses the [[Draft Linestyle]] set on the [[Draft Tray]].


</translate>
<!--T:3-->
[[Image:Draft_polygon_example.jpg|400px]]
[[Image:Draft_polygon_example.jpg|400px]]
<translate>
<!--T:3-->
{{Caption|Regular polygon defined by the center point and the radius}}


==How to use== <!--T:4-->
==How to use== <!--T:4-->
# Press the {{Button|[[Image:Draft Polygon.png|16px]] [[Draft Polygon]]}} button, or press {{KEY|P}} then {{KEY|G}} keys.
# Press the {{Button|[[Image:Draft Polygon.png|16px]] [[Draft Polygon]]}} button, or press {{KEY|P}} then {{KEY|G}} keys.
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] to indicate the center.
# Adjust the desired number of sides in the options dialog.
# Adjust the desired number of sides in the options dialog.
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click another point on the 3D view, or type a radius value to define the polygon radius.
# Click another point on the 3D view, or type a radius value to define the polygon radius.


<!--T:11-->
The polygon can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit]]}} button. Then you can move the center and radius points to a new position.

<!--T:12-->
The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.
The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.


<!--T:13-->
The number of sides of the polygon can also be changed after creation by changing its faces number property.
The number of sides of the polygon can also be changed after creation by changing its faces number property.


==Options== <!--T:5-->
==Options== <!--T:5-->
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button when you have the desired values to insert the point.
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Polygon tool will restart after you finish it, allowing you to draw another one without pressing the tool button again.
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Polygon tool will restart after you finish it, allowing you to draw another one without pressing the tool button again.
* Press {{KEY|L}} or click the checkbox to toggle ''filled'' mode. If filled mode is on, the polygon will create a filled face ({{PropertyData|Make Face}} {{TRUE}}); if not, the polygon will not make a face ({{PropertyData|Make Face}} {{FALSE}}).
* Press {{KEY|L}} or click the checkbox to toggle ''filled'' mode. If filled mode is on, the polygon will create a filled face ({{PropertyData|Make Face}} {{TRUE}}); if not, the polygon will not make a face ({{PropertyData|Make Face}} {{FALSE}}).
* Press {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Hold {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
* Hold {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
* Press {{KEY|Esc}} or the {{button|Cancel}} button to abort the current command.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.


==Properties== <!--T:6-->
==Properties== <!--T:6-->


===Data===
===Data=== <!--T:14-->
* {{PropertyData|Radius}}: specifies the radius of the circle that defines the polygon.
* {{PropertyData|Radius}}: specifies the radius of the circle that defines the polygon.
* {{PropertyData|Draw Mode}}: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
* {{PropertyData|Draw Mode}}: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
Line 38: Line 56:
* {{PropertyData|Make Face}}: specifies if the shape makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object.
* {{PropertyData|Make Face}}: specifies if the shape makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object.


===View===
===View=== <!--T:15-->
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the polygon. This property only works if {{PropertyData|Make Face}} is {{TRUE}}.
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the polygon. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].


==Scripting== <!--T:7-->
==Scripting== <!--T:7-->
{{emphasis|See also:}} [[FreeCAD Scripting Basics]], [[Draft API]], and the [https://www.freecadweb.org/api autogenerated API documentation].
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].


<!--T:16-->
The Polygon tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Polygon tool can be used in [[macros]] and from the [[Python]] console by using the following function:


Line 55: Line 74:
* Creates a {{incode|Polygon}} object with the given number of faces ({{incode|nfaces}}), and based on a circle of {{incode|radius}} in millimeters.
* Creates a {{incode|Polygon}} object with the given number of faces ({{incode|nfaces}}), and based on a circle of {{incode|radius}} in millimeters.
* If {{incode|inscribed}} is {{incode|True}}, the polygon is inscribed in the circle, otherwise it will be circumscribed.
* If {{incode|inscribed}} is {{incode|True}}, the polygon is inscribed in the circle, otherwise it will be circumscribed.
** One of the vertices of the polygon will lie on the X axis if no other placement in given.
** One of the vertices of the polygon will lie on the X axis if no other placement is given.
* If a {{incode|placement}} is given, it is used; otherwise the shape is created at the origin.
* If a {{incode|placement}} is given, it is used; otherwise the shape is created at the origin.
* If {{incode|face}} is {{incode|True}}, the shape will make a face, that is, it will appear filled.
* If {{incode|face}} is {{incode|True}}, the shape will make a face, that is, it will appear filled.
Line 74: Line 93:
Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
}}
}}
<translate>

<!--T:17-->
{{Docnav|[[Draft_Ellipse|Ellipse]]|[[Draft_Rectangle|Rectangle]]|[[Draft_Module|Draft]]|IconL=Draft_Ellipse.svg |IconC=Workbench_Draft.svg|IconR=Draft_Rectangle.svg }}

<!--T:19-->
{{Draft Tools navi}}

<!--T:20-->
{{Userdocnavi}}
</translate>
{{clear}}
{{clear}}
[[Category:Draft]]

Revision as of 19:51, 11 February 2019

Draft Polygon

Menu location
Draft → Polygon
Workbenches
Draft, Arch
Default shortcut
P G
Introduced in version
0.7
See also
Draft Circle

Description

The Polygon tool creates a regular polygon inscribed in a circumference by picking two points, the center and the radius. It uses the Draft Linestyle set on the Draft Tray.

Regular polygon defined by the center point and the radius

How to use

  1. Press the Draft Polygon button, or press P then G keys.
  2. Adjust the desired number of sides in the options dialog.
  3. Click a first point on the 3D view, or type a coordinate and press the add point button.
  4. Click another point on the 3D view, or type a radius value to define the polygon radius.

The polygon can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the center and radius points to a new position.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Polygon tool will restart after you finish it, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the polygon will create a filled face (DataMake Face true); if not, the polygon will not make a face (DataMake Face false).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

Data

  • DataRadius: specifies the radius of the circle that defines the polygon.
  • DataDraw Mode: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
  • DataFaces Number: specifies the number of sides of the polygon.
  • DataChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
  • DataFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the polygon.
  • DataMake Face: specifies if the shape makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.

View

  • ViewPattern: specifies a Draft Pattern with which to fill the face of the polygon. This property only works if DataMake Face is true, and if ViewDisplay Mode is "Flat Lines".
  • ViewPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Polygon tool can be used in macros and from the Python console by using the following function:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Creates a Polygon object with the given number of faces (nfaces), and based on a circle of radius in millimeters.
  • If inscribed is True, the polygon is inscribed in the circle, otherwise it will be circumscribed.
    • One of the vertices of the polygon will lie on the X axis if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the shape will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)